Bug 204373 - security/py-fail2ban: Modernize and cleanup
Summary: security/py-fail2ban: Modernize and cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-08 10:12 UTC by Kubilay Kocak
Modified: 2015-12-14 10:53 UTC (History)
2 users (show)

See Also:
theis: maintainer-feedback+


Attachments
py-fail2ban: Modernize and cleanup (25.75 KB, patch)
2015-11-08 10:12 UTC, Kubilay Kocak
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2015-11-08 10:12:21 UTC
Created attachment 162898 [details]
py-fail2ban: Modernize and cleanup

- Use autoplist, update pkg-plist accordingly, deprecate py3kplist
- Remove unnecessary PYDISTUTILS_PKGVERSION and --install-purelib args
- Cleanup a REINPLACE to be more explicit
- Add do-test target
- Regenerate patches (makepatch compatible)
- Add NO_ARCH
- Sort and group USE{S,_*} entries
- Delete unecessary patch to setup.py

QA:

* portlint: OK (WARN: Makefile: possible use of absolute pathname "/var/db/${PORTNAME}".)
* testport: OK (poudriere, 93amd64)
* unittest: Ran 277 tests in 174.937s - FAILED (failures=7, errors=1, skipped=1)

Note: Identical unit test pass/fail rate in the current version of the port: 

Ran 277 tests in 167.061s -FAILED (failures=7, errors=1, skipped=1)
Comment 1 theis 2015-11-09 09:50:48 UTC
Is OK. 
And many thanks for the work!
Comment 2 commit-hook freebsd_committer 2015-12-14 10:52:57 UTC
A commit references this bug:

Author: koobs
Date: Mon Dec 14 10:52:48 UTC 2015
New revision: 403712
URL: https://svnweb.freebsd.org/changeset/ports/403712

Log:
  security/py-fail2ban: Modernize and cleanup

  - Use autoplist, update pkg-plist accordingly, deprecate py3kplist
  - Remove unnecessary PYDISTUTILS_PKGVERSION and --install-purelib args
  - Cleanup a REINPLACE to be more explicit
  - Add do-test target
  - Regenerate patches (makepatch compatible)
  - Add NO_ARCH
  - Sort and group USE{S,_*} entries

  PR:		204373
  Approved by:	maintainer <theis gmx at>

Changes:
  head/security/py-fail2ban/Makefile
  head/security/py-fail2ban/files/patch-bsd-sendmail.conf
  head/security/py-fail2ban/files/patch-bsd-sshd.conf
  head/security/py-fail2ban/files/patch-bsdftp.conf
  head/security/py-fail2ban/files/patch-common.conf
  head/security/py-fail2ban/files/patch-config_filter.d_bsd-sendmail.conf
  head/security/py-fail2ban/files/patch-config_filter.d_bsd-sshd.conf
  head/security/py-fail2ban/files/patch-config_filter.d_bsdftp.conf
  head/security/py-fail2ban/files/patch-config_filter.d_common.conf
  head/security/py-fail2ban/files/patch-setup.py
  head/security/py-fail2ban/pkg-plist